Bug 189411 - LTC20265- dmsetup: remove line size limit on input
LTC20265- dmsetup: remove line size limit on input
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: device-mapper (Show other bugs)
4.0
All Linux
high Severity medium
: ---
: ---
Assigned To: Alasdair Kergon
: FutureFeature
Depends On:
Blocks: 181409 185483
  Show dependency treegraph
 
Reported: 2006-04-19 16:07 EDT by Issue Tracker
Modified: 2010-01-11 21:16 EST (History)
3 users (show)

See Also:
Fixed In Version: RHBA-2006-0434
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-10 17:24:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmsetup from IBM attached to IT on 4-25 (1.04 KB, text/x-patch)
2006-04-26 11:23 EDT, Mike Gahagan
no flags Details

  None (edit)
Comment 5 Alasdair Kergon 2006-04-19 16:13:41 EDT
The library was changed to support arbitrary sizes, so this is purely a
dmsetup.c matter.

_parse_file() just needs changing to accept input lines of arbitrary size.
Comment 7 Alasdair Kergon 2006-04-19 16:45:18 EDT
Changed constant to 4k upstream.
Comment 12 Mike Gahagan 2006-04-26 11:23:51 EDT
Created attachment 128258 [details]
dmsetup from IBM attached to IT on 4-25

from IBM:

Remove the line-size limitation when parsing the input file in dmsetup.

Use getline() instead of fgets() to remove the line-size limitation when
parsing the input file in dmsetup.

A 1317 character table file (dm-stripe of 100 dummy devices) worked with this
patch (and failed without).
Comment 16 Red Hat Bugzilla 2006-08-10 17:24:38 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0434.html

Note You need to log in before you can comment on or make changes to this bug.